/*
  MethOS syscall definitions for the kernel
*/

#ifndef _KERNEL_SYSCALL_H_
#define _KERNEL_SYSCALL_H_

#define METHOS_SYSCALL_EXIT		0
#define METHOS_SYSCALL_PUTCHAR		1
#define METHOS_SYSCALL_GETCHAR		2
#define METHOS_SYSCALL_PRINTF		3
#define METHOS_SYSCALL_SLEEP		4
#define METHOS_SYSCALL_GETS		5
#define METHOS_SYSCALL_PUTS		6
#define METHOS_SYSCALL_LOCK		7
#define METHOS_SYSCALL_UNLOCK		8
#define METHOS_SYSCALL_PROCESSCREATE 	9
#define METHOS_SYSCALL_PROCESSLOADELF 	10
#define METHOS_SYSCALL_PROCESSJOIN 	11
#define METHOS_SYSCALL_PROCESSLIST 	12
#define METHOS_SYSCALL_PROCESSNUMBER	13
#define METHOS_SYSCALL_FOPEN		14
#define METHOS_SYSCALL_FCLOSE		15
#define METHOS_SYSCALL_FILEEXISTS	16
#define METHOS_SYSCALL_MESSAGESEND	17
#define METHOS_SYSCALL_MESSAGERECEIVE	18
#define METHOS_SYSCALL_FPRINTF		19
#define METHOS_SYSCALL_FGETS		20
#define METHOS_SYSCALL_FPUTS		21
#define METHOS_SYSCALL_FEOF		22
#define METHOS_SYSCALL_PROCESSKILL	23
#define METHOS_SYSCALL_SRAND		24
#define METHOS_SYSCALL_RAND		25
#define METHOS_SYSCALL_ATOI		26
#define METHOS_SYSCALL_TIME		27
#define METHOS_SYSCALL_PROCESSYIELD	28
#define METHOS_SYSCALL_PROCESSSETTYPE	29
#define METHOS_SYSCALL_PROCESSGETTYPE	30

#define METHOS_SYSCALL_COUNT 		31

#endif //_KERNEL_SYSCALL_H_
