/* 
  MethOS process management 
*/

#ifndef _KERNEL_PROCESS_H_
#define _KERNEL_PROCESS_H_

#include <kernel/process_defs.h>

void 	mth_syscall_init ();
int 	mth_process_create ();
int 	mth_process_loadelf (int procnum, const char* name);
void 	mth_process_join (int procnum);
void	mth_process_kill (int procnum);
void 	mth_process_list ();
int 	mth_process_self ();
int 	mth_process_number (const char *name);
void	mth_process_settype (int procnum, int type);
int	mth_process_gettype (int procnum);

#endif /*_KERNEL_PROCESS_H_*/
