/* 
  MethOS process management 
*/

#ifndef _USER_PROCESS_H_
#define _USER_PROCESS_H_

typedef int mth_process_id;

#define PROCESS_TYPE_INTERACTIVE 0
#define PROCESS_TYPE_BACKGROUND 1

mth_process_id 	mth_process_create ();
int 		mth_process_loadelf (mth_process_id, const char* filename);
void 		mth_process_join (mth_process_id procnum);
void		mth_process_kill (mth_process_id procnum);
void 		mth_process_list ();
int		mth_process_number (const char *name);
void		mth_process_settype (mth_process_id procnum, int type);
int		mth_process_gettype (mth_process_id procnum);

#endif /*_USER_PROCESS_H_*/
