#include <oskit/c/string.h>
#include <oskit/c/malloc.h>
#include <methos/syscall.h>
#include <methos/process.h>

int main()
{
	int 	c = 0;
	char*	text = 0;
	char*	text2 = 0;
	FILE*	file = 0;

	printf ("Test 1: printf ()\n");	
	printf ("MethOS systeemifunktsioonide test!\n\n");
	sleep (1);

	printf ("Test 2: getchar ()\n");
	printf ("Vajuta klahvi:\n");
	c = getchar ();
	printf ("Klahvikood oli: %d ('%c')\n\n", c, c);

	printf ("Test 3: putchar ()\n");
	printf ("Kirjutan MethOS: ");
	putchar (77);
	putchar (101);
	putchar (116);
	putchar (104);
	putchar (79);
	putchar (83);
	printf ("\n\n");

	printf ("Test 4: malloc ()\n");
	printf ("Allutan 100 baiti s6ne jaoks.\n");
	text = (char*) malloc (100);
	text2 = (char*) malloc (100);	
	printf ("Tulemus: m2lu aadressil %p\n\n", text);

	printf ("Test 5: gets ()\n");
	printf ("Sisesta teksti! ");
	text = gets (text);
	printf ("Tekst oli: '%s'\n\n", text);

	printf ("Test 6: puts ()\n");
	printf ("Tekst oli: ");
	puts (text);

	printf ("Test 7: sleep ()\n");
	printf ("Sleeping for 5 seconds.\n\n");
	sleep (5);

	printf ("Test 8: fopen ()\n");
	printf ("Avan faili 'testfile'\n");
	file = fopen ("testfile", "w");
	if (file != 0)
		printf ("Avamine edukas!\n");

	printf ("\nTest 9: fprintf ()\n");
	fprintf (file, "Fail: %s\n", text);
	text[strlen(text) - 1] = '\0';
	printf ("Faili kirjutati 'Fail: %s'.\n", text);
	
	printf ("\nTest 10: fclose ()\n");
	fclose (file);

	file = fopen ("testfile", "r");

	printf ("\nTest 11: fgets ()\n");
	fgets (text2, 100, file);
	text2[strlen(text2) - 1] = '\0';

	printf ("Lugesin failist: '%s'\n", text2);

	fclose (file);

	printf ("\nL6petan testi!\n");

	return 0;
}

