/*
  MethOS scheduler
  
  Contains portions from OSKit POSIX scheduler
 */

#ifndef  WEAK_WORKING
#define PWEAK
#else
#define PWEAK	__attribute__ ((weak))
#endif

void
methos_sched_init(void)					PWEAK;

int
methos_sched_schedules(int policy)			PWEAK;

int
methos_sched_dispatch(resched_flags_t reason,
		pthread_thread_t *pthread)		PWEAK;

pthread_thread_t *
methos_sched_thread_next(void)				PWEAK;

int
methos_sched_change_state(pthread_thread_t *pthread,
		const struct sched_param *param)	PWEAK;

int
methos_sched_setrunnable(pthread_thread_t *pthread)	PWEAK;

void
methos_sched_disassociate(pthread_thread_t *pthread)	PWEAK;

int
methos_sched_check_schedstate(
		const struct sched_param *param)	PWEAK;

void
methos_sched_init_schedstate(pthread_thread_t *pthread,
		const struct sched_param *param)	PWEAK;

int
methos_sched_priority_bump(pthread_thread_t *pthread,
			  int newprio)			PWEAK;

